# xarray.Dataset.reindex

`Dataset.``reindex`(indexers=None, method=None, tolerance=None, copy=True, **kw_indexers)

  Conform this object onto a new set of indexes, filling in missing values with NaN.

  Parameters:

  indexers : dict. optional

  > Dictionary with keys given by dimension names and values given by arrays of coordinates tick labels. Any mis-matched coordinate values will be filled in with NaN, and any mis-matched dimension names will simply be ignored.

  method : {None, ‘nearest’, ‘pad’/’ffill’, ‘backfill’/’bfill’}, optional

  > Method to use for filling index values in `indexers` not found in this dataset:

  > - None (default): don’t fill gaps
  > - pad / ffill: propagate last valid index value forward
  > - backfill / bfill: propagate next valid index value backward
  > - nearest: use nearest valid index value (requires pandas>=0.16)

  tolerance : optional

  > Maximum distance between original and new labels for inexact matches. The values of the index at the matching locations most satisfy the equation `abs(index[indexer] - target) <= tolerance`. Requires pandas>=0.17.

  copy : bool, optional

  > If `copy=True`, data in the return value is always copied. If `copy=False` and reindexing is unnecessary, or can be performed with only slice operations, then the output may share memory with the input. In either case, a new xarray object is always returned.

  **kw_indexers : optional

  > Keyword arguments in the same form as `indexers`.

  Returns:

  reindexed : Dataset

  > Another dataset, with this dataset’s data but replaced coordinates.

  See also

  `Dataset.reindex_like`, `align`, `pandas.Index.get_indexer`